[tpmdd-devel] tpm: select CONFIG_CRYPTO

Submitted by Arnd Bergmann on March 14, 2017, 9:40 p.m.

Details

Message ID 20170314214043.3895041-1-arnd@arndb.de
State New
Headers show

Commit Message

Arnd Bergmann March 14, 2017, 9:40 p.m.
As we need the CRYPTO_HASH_INFO implementation, we should also
select CRYPTO itself to avoid this build warning:

warning: (TCG_TPM && TRUSTED_KEYS && IMA) selects CRYPTO_HASH_INFO which has unmet direct dependencies (CRYPTO)

Fixes: c1f92b4b04ad ("tpm: enhance TPM 2.0 PCR extend to support multiple banks")
Signed-off-by: Arnd Bergmann <arnd@arndb.de>
---
 drivers/char/tpm/Kconfig | 1 +
 1 file changed, 1 insertion(+)

Comments

Jarkko Sakkinen March 15, 2017, 8:30 a.m.
Arnd,

On Tue, Mar 14, 2017 at 10:40:24PM +0100, Arnd Bergmann wrote:
> As we need the CRYPTO_HASH_INFO implementation, we should also
> select CRYPTO itself to avoid this build warning:
> 
> warning: (TCG_TPM && TRUSTED_KEYS && IMA) selects CRYPTO_HASH_INFO which has unmet direct dependencies (CRYPTO)
> 
> Fixes: c1f92b4b04ad ("tpm: enhance TPM 2.0 PCR extend to support multiple banks")
> Signed-off-by: Arnd Bergmann <arnd@arndb.de>

I've already merged this and put to my next branch.

/Jarkko

> ---
>  drivers/char/tpm/Kconfig | 1 +
>  1 file changed, 1 insertion(+)
> 
> diff --git a/drivers/char/tpm/Kconfig b/drivers/char/tpm/Kconfig
> index af985cca413c..d520ac51c11c 100644
> --- a/drivers/char/tpm/Kconfig
> +++ b/drivers/char/tpm/Kconfig
> @@ -6,6 +6,7 @@ menuconfig TCG_TPM
>  	tristate "TPM Hardware Support"
>  	depends on HAS_IOMEM
>  	select SECURITYFS
> +	select CRYPTO
>  	select CRYPTO_HASH_INFO
>  	---help---
>  	  If you have a TPM security chip in your system, which
> -- 
> 2.9.0
> 

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
Arnd Bergmann March 15, 2017, 11:39 a.m.
On Wed, Mar 15, 2017 at 9:30 AM, Jarkko Sakkinen
<jarkko.sakkinen@linux.intel.com> wrote:
> Arnd,
>
> On Tue, Mar 14, 2017 at 10:40:24PM +0100, Arnd Bergmann wrote:
>> As we need the CRYPTO_HASH_INFO implementation, we should also
>> select CRYPTO itself to avoid this build warning:
>>
>> warning: (TCG_TPM && TRUSTED_KEYS && IMA) selects CRYPTO_HASH_INFO which has unmet direct dependencies (CRYPTO)
>>
>> Fixes: c1f92b4b04ad ("tpm: enhance TPM 2.0 PCR extend to support multiple banks")
>> Signed-off-by: Arnd Bergmann <arnd@arndb.de>
>
> I've already merged this and put to my next branch.

Ah, I see my mistake: I had made an identical patch earlier, which you merged
into linux-next, and I dropped it from my series after rebasing on
-next, but then
rebased again on mainline and did the new patch without checking whether
it was already fixed in -next.

I guess the warning is rare enough that we don't really need this in v4.11
even though it does apply there.

    Arnd

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
Jarkko Sakkinen March 15, 2017, 5:58 p.m.
On Wed, Mar 15, 2017 at 12:39:16PM +0100, Arnd Bergmann wrote:
> On Wed, Mar 15, 2017 at 9:30 AM, Jarkko Sakkinen
> <jarkko.sakkinen@linux.intel.com> wrote:
> > Arnd,
> >
> > On Tue, Mar 14, 2017 at 10:40:24PM +0100, Arnd Bergmann wrote:
> >> As we need the CRYPTO_HASH_INFO implementation, we should also
> >> select CRYPTO itself to avoid this build warning:
> >>
> >> warning: (TCG_TPM && TRUSTED_KEYS && IMA) selects CRYPTO_HASH_INFO which has unmet direct dependencies (CRYPTO)
> >>
> >> Fixes: c1f92b4b04ad ("tpm: enhance TPM 2.0 PCR extend to support multiple banks")
> >> Signed-off-by: Arnd Bergmann <arnd@arndb.de>
> >
> > I've already merged this and put to my next branch.
> 
> Ah, I see my mistake: I had made an identical patch earlier, which you merged
> into linux-next, and I dropped it from my series after rebasing on
> -next, but then
> rebased again on mainline and did the new patch without checking whether
> it was already fixed in -next.
> 
> I guess the warning is rare enough that we don't really need this in v4.11
> even though it does apply there.
> 
>     Arnd

Ah. Right, now that I remember that was my conclusion. I'm sorry that
I did not remember to respond :-) If you think this would make sense
for 4.11 I could send it to stable.

/Jarkko

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot

Patch hide | download patch | download mbox

diff --git a/drivers/char/tpm/Kconfig b/drivers/char/tpm/Kconfig
index af985cca413c..d520ac51c11c 100644
--- a/drivers/char/tpm/Kconfig
+++ b/drivers/char/tpm/Kconfig
@@ -6,6 +6,7 @@  menuconfig TCG_TPM
 	tristate "TPM Hardware Support"
 	depends on HAS_IOMEM
 	select SECURITYFS
+	select CRYPTO
 	select CRYPTO_HASH_INFO
 	---help---
 	  If you have a TPM security chip in your system, which